version: '3.3'

services:
  traefik:
    image: traefik:v2.0.5
    container_name: "traefik"
    restart: always
    # environment:      
    #   - "AWS_ACCESS_KEY_ID=${AWS_ACCESS_KEY_ID}"
    #   - "AWS_SECRET_ACCESS_KEY=${AWS_SECRET_ACCESS_KEY}"       
    #   - "AWS_HOSTED_ZONE_ID=${AWS_HOSTED_ZONE_ID}"
    command:
      - "--log.level=INFO"
      - "--api.insecure=true"
      - "--providers.docker=true"
      -  --providers.docker
      - "--entrypoints.web.address=:80"
      - "--entrypoints.websecure.address=:443"
      # - "--certificatesresolvers.mydnschallenge.acme.dnschallenge=true"
      # - "--certificatesresolvers.mydnschallenge.acme.dnschallenge.provider=route53"
      # - "--certificatesresolvers.mydnschallenge.acme.email=${ACME_EMAIL}"
      # - "--certificatesresolvers.mydnschallenge.acme.storage=/letsencrypt/route53.json"
      - "--global.sendAnonymousUsage=false"
    ports:
      - "80:80"
      - "443:443"
      - "127.0.0.1:8079:8080"
    volumes:
      # - "./letsencrypt:/letsencrypt"
      - "/var/run/docker.sock:/var/run/docker.sock:ro"
    labels:
      - "traefik.http.routers.http-catchall.rule=hostregexp(`{host:.+}`)"
      - "traefik.http.routers.http-catchall.entrypoints=web"
      # - "traefik.http.routers.http-catchall.middlewares=redirect-to-https"
      # - "traefik.http.middlewares.redirect-to-https.redirectscheme.scheme=https"
     
  nba-scratchpad:
    image: scratchpad:test
    container_name: "nba-scratchpad"
    hostname: "nba-scratchpad"
    restart: always
    ports:
      - "8001:80"
    env_file:
      - .env
    environment:
    #  NBA_ADDRESS: nba-api
    #  NBA_PORT: 8080
    #  NBA_TIMEOUT: 15
      PUBLIC_NBA_FULL_ADDRESS: 127.0.0.1.xip.io
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.nba-scratchpad.rule=Host(`127.0.0.1.xip.io`) && PathPrefix(`/scratchpad`)"
      # - "traefik.http.routers.nba-scratchpad.entrypoints=websecure"
      # - "traefik.http.routers.nba-scratchpad.tls.certresolver=mydnschallenge"
   
